#pragma once

#include "CoreMinimal.h"
#include "CurseAbilityAction.h"
#include "ForceSetCurseValueCurseAbilityAction.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew)
class DBDKILLERABILITIES_API UForceSetCurseValueCurseAbilityAction : public UCurseAbilityAction
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UFloatValueStrategy* _stackValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UFloatValueStrategy* _cursePercentageValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UFloatValueStrategy* _cursePassiveRate;

public:
	UForceSetCurseValueCurseAbilityAction();
};

FORCEINLINE uint32 GetTypeHash(const UForceSetCurseValueCurseAbilityAction) { return 0; }
